For the complete documentation index, see llms.txt. This page is also available as Markdown.

Wallets

Get paginated list of wallets

get
Query parameters
pagenumberOptional

Page number (default: 1)

Example: 1
pageSizenumberOptional

Number of items per page (default: 10)

Example: 10
sortstringOptional

Sort field and order. Use - prefix for descending. Example: -createdAt, createdAt

Example: -createdAt
selectstringOptional

Fields to select (comma separated). Use + prefix to include hidden fields. Example: name,status,+holders

populatestringOptional

Relations to populate (comma separated). Example: wallet,token

Responses
200

Get wallets

application/json
codestringRequiredExample: 1
messagestringRequiredExample: common.success
dataobjectRequired
get/api/wallets
200

Get wallets

Add a wallet and link it to the authenticated account

post
Body
chainstring · enumRequired

Blockchain network of the wallet

Possible values:
providerstringRequired

Wallet provider / software used

publicKeystringRequired

Public key of the wallet

messagestringRequired

Message (timestamp in ms) signed by the wallet

signaturestringRequired

Signature of the message produced by the wallet

userAddressstringOptional

Wallet address (required for BTC; derived from signature for EVM/SOL)

isDefaultbooleanOptional

Mark this wallet as the default for its chain

Responses
201

The wallet has been successfully added

application/json
codestringRequiredExample: 1
messagestringRequiredExample: common.success
dataobjectRequired
post/api/wallets
201

The wallet has been successfully added

get
Responses
200

Get wallet details

application/json
codestringRequiredExample: 1
messagestringRequiredExample: common.success
dataobjectRequired
get/api/wallets/details
200

Get wallet details

Check wallet existed

get
Path parameters
userAddressstringRequired
Responses
200

The wallet has been successfully checked

application/json
codestringRequiredExample: 1
messagestringRequiredExample: common.success
dataobjectRequired
get/api/wallets/details/{userAddress}
200

The wallet has been successfully checked

Update a wallet by ID

patch
Path parameters
idstringRequired
Body
isDefaultbooleanOptional
Responses
200

The wallet has been successfully updated

application/json
codestringRequiredExample: 1
messagestringRequiredExample: common.success
dataobjectRequired
patch/api/wallets/{id}
200

The wallet has been successfully updated

put
Path parameters
idstringRequired
Responses
200

The wallet has been successfully unlinked

application/json
codestringRequiredExample: 1
messagestringRequiredExample: common.success
dataobjectRequired
put/api/wallets/{id}/unlink
200

The wallet has been successfully unlinked

Last updated